View Issue Details

IDProjectCategoryLast Update
0020397AI War 2[All Projects] Graphical BugNov 13, 2018 10:40 am
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionopen 
Product Version0.776 A Legible Galaxy Map 
Fixed in Version0.783 Go Ahead And Shoot Me, Eyebot! 
Summary0020397: Ship icons appearing and disappearing in the middle of the planet
DescriptionThis happens when a lot of ship get sent through a wormhole. Sometimes the physical ships themselves get teleported to the other side of the gravwell, I took some screenshots in an attempt to document it. Notice the time on the bottom right. A very short time. I also swear I didn't scrap the ships.
TagsNo tags attached.
Internal Weight

Relationships

related to 0020356 assignedx4000Bughunter If units have not enough place, they will teleport to other place on the map 
related to 0020769 assignedx4000Bughunter Ships warping to incorrect position after wormhole 

Activities

Ovalcircle

Sep 29, 2018 1:39 pm

reporter  

20180929131137_1.jpg (163,652 bytes)
20180929131137_1.jpg (163,652 bytes)
20180929131133_1.jpg (164,137 bytes)
20180929131133_1.jpg (164,137 bytes)
20180929131136_1.jpg (162,861 bytes)
20180929131136_1.jpg (162,861 bytes)
20180929131134_1.jpg (162,857 bytes)
20180929131134_1.jpg (162,857 bytes)

x4000Bughunter

Oct 11, 2018 12:15 pm

administrator   ~0049857

Also noted by Bobtree:

Ship icons flicker in random places when a fleet is coming in through a wormhole, sometimes their location is not updated correctly and they arrive in a random place (might be their old coordinates on the other planet).

x4000Bughunter

Oct 12, 2018 3:55 pm

administrator   ~0049885

Finally got it!

RocketAssistedPuffin

Oct 12, 2018 6:43 pm

developer   ~0049906

Last edited: Oct 12, 2018 6:45 pm

View 3 revisions

I hate to say it but...I just saw this again. With the units physically being present at their new location.

Helluva lot rarer though, enough that it seemed to be completely gone - but still: Darn. Sorry.

And yeah, it's exactly where they used to be on the old planet, where the Wormhole is.

x4000Bughunter

Oct 12, 2018 8:29 pm

administrator   ~0049909

Hmm, this might actually be a "different" issue, kinda-sorta. It may be that they are not actually moving their position quite quickly enough when coming over, if that's the case. The other issue was more to do with the visuals being off. Maybe this was two bugs overlapping, before, and now just one. Let me make a change in a minute and then let's see if you see it again. If you're still around, or can check tomorrow.

x4000Bughunter

Oct 12, 2018 9:05 pm

administrator   ~0049910

Just in:

* When ships go through wormholes, they now set their new location prior to setting their new planet. This should have been so rapid as to not possibly have messed up already, but given it was on occasion having trouble, maybe this will finish it off.

x4000Bughunter

Oct 12, 2018 9:13 pm

administrator   ~0049912

This actually seems like it got it, from a brief thing where I saw one blip before and no blips now.

Dominus Arbitrationis

Oct 20, 2018 7:11 pm

administrator   ~0050193

Apparently is back per related ticket.

RocketAssistedPuffin

Oct 20, 2018 7:13 pm

developer   ~0050194

I think this is something else - units used to "flash" somewhere on the planet when entering. The other ticket is for units actually spawning somewhere else, and is much much rarer.

Issue History

Date Modified Username Field Change
Sep 29, 2018 1:39 pm Ovalcircle New Issue
Sep 29, 2018 1:39 pm Ovalcircle File Added: 20180929131133_1.jpg
Sep 29, 2018 1:39 pm Ovalcircle File Added: 20180929131134_1.jpg
Sep 29, 2018 1:39 pm Ovalcircle File Added: 20180929131136_1.jpg
Sep 29, 2018 1:39 pm Ovalcircle File Added: 20180929131137_1.jpg
Sep 29, 2018 4:24 pm Ovalcircle Description Updated View Revisions
Oct 11, 2018 12:15 pm x4000Bughunter Note Added: 0049857
Oct 11, 2018 12:15 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 11, 2018 12:15 pm x4000Bughunter Status new => assigned
Oct 12, 2018 3:55 pm x4000Bughunter Status assigned => resolved
Oct 12, 2018 3:55 pm x4000Bughunter Resolution open => fixed
Oct 12, 2018 3:55 pm x4000Bughunter Fixed in Version => 0.783 Go Ahead And Shoot Me, Eyebot!
Oct 12, 2018 3:55 pm x4000Bughunter Note Added: 0049885
Oct 12, 2018 6:43 pm RocketAssistedPuffin Note Added: 0049906
Oct 12, 2018 6:44 pm RocketAssistedPuffin Note Edited: 0049906 View Revisions
Oct 12, 2018 6:45 pm RocketAssistedPuffin Note Edited: 0049906 View Revisions
Oct 12, 2018 8:29 pm x4000Bughunter Note Added: 0049909
Oct 12, 2018 9:05 pm x4000Bughunter Note Added: 0049910
Oct 12, 2018 9:13 pm x4000Bughunter Note Added: 0049912
Oct 20, 2018 7:10 pm Dominus Arbitrationis Relationship added related to 0020356
Oct 20, 2018 7:11 pm Dominus Arbitrationis Status resolved => assigned
Oct 20, 2018 7:11 pm Dominus Arbitrationis Note Added: 0050193
Oct 20, 2018 7:11 pm Dominus Arbitrationis Resolution fixed => open
Oct 20, 2018 7:13 pm RocketAssistedPuffin Note Added: 0050194
Nov 13, 2018 10:40 am Dune Relationship added related to 0020769